POST Agents/Find/FindFromRestrictionsColumns
POST /api/v1/Agents/Find/FindFromRestrictionsColumns
Execute a Find operation and return a page of results.
<para/>The criteria for the Find are passed in directly, not fetched by a restriction storage provider. <para/>The desired columns of the result set are also passed in directly.<para/>The orderby information is calculated by the system.<para/>Use the GetCriteriaInformation and GetDefaultDesiredColumns service methods to let the system calculate these values, if you want to use or modify them. NsApiSlow threshold: 5000 ms. Archive Restriction Info objects represent search terms.
Column names and operator strings are defined elsewhere.
Values should be encoded using the CultureDataFormatter, so 10 is "[I:10]". Default string encodings should be handled ok, but beware of non-invariant cultures leading to incorrect date and float parsing.
var restriction1 = new ArchiveRestrictionInfo("category", "equals", "[I:10]");
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Find/FindFromRestrictionsColumns?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Restrictions, ProviderName, DesiredColumns, PageSize, PageNumber
| Property Name | Type | Description |
|---|---|---|
| Restrictions | Array | |
| ProviderName | String | |
| DesiredColumns | Array | |
| PageSize | Integer | |
| PageNumber | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: FindResults
| Property Name | Type | Description |
|---|---|---|
| ArchiveColumns | array | Array of ColumnInfo column specifications |
| ArchiveRows | array | Array of archive list items, i.e., the service layer carrier for archive rows. These are the find results, represented as archive rows |
| RowCount | int32 | Count of rows, independent of paging. If you order up page 1 with page size 50, the row count may still be 279, that being the number of rows that would have been returned in a paging-off situation |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Find/FindFromRestrictionsColumns
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"Restrictions": [
{
"Name": "Moen, Cronin and Klein",
"Operator": "voluptatem",
"Values": [
"libero",
"similique"
],
"DisplayValues": [
"ratione",
"nostrum"
],
"ColumnInfo": null,
"IsActive": true,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 234,
"InterOperator": "And",
"UniqueHash": 259
}
],
"ProviderName": "Yundt-Block",
"DesiredColumns": [
"voluptas",
"perspiciatis"
],
"PageSize": 98,
"PageNumber": 400
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ArchiveColumns": [
{
"DisplayName": "Orn Inc and Sons",
"DisplayTooltip": "voluptatem",
"DisplayType": "nihil",
"CanOrderBy": true,
"Name": "Lakin-Bradtke",
"CanRestrictBy": false,
"RestrictionType": "qui",
"RestrictionListName": "Runolfsdottir LLC",
"IsVisible": false,
"ExtraInfo": "quos",
"Width": "eaque",
"IconHint": "sequi",
"HeadingIconHint": "perferendis"
}
],
"ArchiveRows": [
{
"EntityName": "Labadie-Bernier",
"PrimaryKey": 978,
"ColumnData": {
"fieldName": {
"DisplayValue": "id",
"TooltipHint": "architecto",
"LinkHint": "quaerat"
}
},
"LinkHint": "qui",
"StyleHint": "ut",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 688
}
}
}
],
"RowCount": 366,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 377
}
}
}